/*
 *  Line.cpp
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/29/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#include "BounceLine.h"

void BounceLine::setup(float x1, float y1){
	pos1.set(x1,y1);
	pos2.set(x1,y1);
	
	sound.loadSound("tone.mp3", false);
	sound.setMultiPlay(true);
	
	drawHandle1=false;
	drawHandle2=false;

}

void BounceLine::setPos1(float x2, float y2){
	pos1.set(x2,y2);
	setInfo();
	}

void BounceLine::setPos2(float x2, float y2){
	pos2.set(x2,y2);
	setInfo();
}

void BounceLine::draw(){
	ofLine(pos1.x, pos1.y, pos2.x, pos2.y);
	
	//draw the handles if the mouse is over it
	ofNoFill();
	if (drawHandle1)
		ofCircle(pos1.x, pos1.y, 5);
	if (drawHandle2)
		ofCircle(pos2.x, pos2.y, 5);

}

void BounceLine::setInfo(){
	//find the angle
	angle=atan2(pos2.y-pos1.y, pos2.x-pos1.x);
	//and the length
	length=ofDist(pos1.x, pos1.y, pos2.x, pos2.y);
	//and the pitch
	float prc=ofMap(length,0,700,0,1);
	prc=powf(prc,2);
	sound.setSpeed(ofMap(prc,0,1,3,0.5));
	
	
}


void BounceLine::playSound(){
	sound.play();
}