#ifndef PARTICLE_H
#define PARTICLE_H

#include "ofMain.h"

class particle
{
public:
	ofVec2f pos;
	ofVec2f vel;
	ofVec2f frc;   // frc is also know as acceleration (newton says "f=ma")
	
	particle();
	virtual ~particle(){};
	
	void resetForce();
	void addForce(float x, float y);
	void addDampingForce();
	void setInitialCondition(float px, float py, float vx, float vy);
	void update();
	void draw();
	void bounce(float bAngle, int _lastWall);
	
	float damping;
	float speed;
	
	//makes sure the ball doens't get caught in a wall
	int lastWall;
	int wallTimer;
	
protected:
private:
};

#endif // PARTICLE_H